CVE-2014-2405

Impact:
Low
Public Date:
2014-04-15
Bugzilla:
1106391: CVE-2014-2405 OpenJDK: libpng unhandled zero-length PLTE chunk or NULL palette (AWT, 8031352)

The MITRE CVE dictionary describes this issue as:

Unspecified vulnerability in OpenJDK 6 before 6b31 on Debian GNU/Linux and Ubuntu 12.04 LTS and 10.04 LTS has unknown impact and attack vectors, a different vulnerability than CVE-2014-0462.

Find out more about CVE-2014-2405 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

This issue is a duplicate of the libpng CVE-2013-6954 issue. The versions of java-1.6.0-openjdk and java-1.7.0-openjdk as shipped with Red Hat Enterprise Linux 5 and 6 were not affected by this issue, as they do not use bundled libpng version.

CVSS v2 metrics

NOTE: The following CVSS v2 metrics and score provided are preliminary and subject to review.

Base Score 4.3
Base Metrics AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 7 java-1.6.0-openjdk Not affected
Red Hat Enterprise Linux 7 java-1.7.0-openjdk Not affected
Red Hat Enterprise Linux 6 java-1.6.0-openjdk Not affected
Red Hat Enterprise Linux 6 java-1.7.0-openjdk Not affected
Red Hat Enterprise Linux 5 java-1.7.0-openjdk Not affected
Red Hat Enterprise Linux 5 java-1.6.0-openjdk Not affected

Last Modified

CVE description copyright © 2017, The MITRE Corporation

Close

Welcome! Check out the Getting Started with Red Hat page for quick tours and guides for common tasks.